Package org.apache.tapestry5.beaneditor

# Class DataTypeConstants

java.lang.Object
org.apache.tapestry5.beaneditor.DataTypeConstants

public class DataTypeConstants extends Object
Defines the names of data types used to select an editor (or display) block for a property.

Since:
  5.3
See Also:
  - `DataType`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `BOOLEAN`
  Used for boolean properties.
  `static final String`
  `CALENDAR`
  Used to render a JavaScript calendar for a `Calendar` property.
  `static final String`
  `DATE`
  Used to render a JavaScript calendar for a `Date` property.
  `static final String`
  `ENUM`
  Used for `Enum`s.
  `static final String`
  `LONG_TEXT`
  Used to render a textarea field for a `String` property.
  `static final String`
  `NUMBER`
  Used for properties of `Number` type.
  `static final String`
  `PASSWORD`
  Used to render a password field for a `String` property.
  `static final String`
  `TEXT`
  Used for `String` properties.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DataTypeConstants()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### TEXT

    public static final String TEXT
    Used for `String` properties.
    See Also:
      - Constant Field Values

  - ### NUMBER

    public static final String NUMBER
    Used for properties of `Number` type.
    See Also:
      - Constant Field Values

  - ### ENUM

    public static final String ENUM
    Used for `Enum`s.
    See Also:
      - Constant Field Values

  - ### BOOLEAN

    public static final String BOOLEAN
    Used for boolean properties.
    See Also:
      - Constant Field Values

  - ### DATE

    public static final String DATE
    Used to render a JavaScript calendar for a `Date` property.
    See Also:
      - Constant Field Values

  - ### CALENDAR

    public static final String CALENDAR
    Used to render a JavaScript calendar for a `Calendar` property.
    See Also:
      - Constant Field Values

  - ### PASSWORD

    public static final String PASSWORD
    Used to render a password field for a `String` property.
    See Also:
      - Constant Field Values

  - ### LONG_TEXT

    public static final String LONG_TEXT
    Used to render a textarea field for a `String` property.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### DataTypeConstants

    public DataTypeConstants()